Results 1 to 7 of 7

Thread: RT2860 injection may finally be here!

Hybrid View

  1. #1
    Just burned his ISO
    Join Date
    Jul 2009
    Posts
    14

    Default RT2860 injection may finally be here!

    It seems the rt2x00 project has finally added support for the RT2860. If you look at:

    hxxp://git.kernel.org/?p=linux/kernel/git/ivd/rt2x00.git;a=summary

    ...you will see that support for the RT2860 was implemented on 6/20! The problem is, I'm not to familiar with using GIT so I'm not exactly sure how to get the driver that contains support for the RT2860.

    Can anyone help out with this? I know there's a lot of netbooks out there with this chipset (not sure if the mods may even want to place the new driver in the repository - if that's at all feasible...)

    Thanks!

  2. #2
    Just burned his ISO
    Join Date
    Jun 2009
    Posts
    3

    Default

    Downloading now, will try to compile and test when I have a chance...

    If you want to try it yourself, git is pretty simple to grab with.

    # apt-get install git-core
    # git clone git://git.kernel.org/pub/scm/linux/kernel/git/ivd/rt2x00.git

    You should then have a local copy of the source.

  3. #3
    Just burned his ISO
    Join Date
    Jul 2009
    Posts
    14

    Default

    Tried compiling the driver in the "rt2x00" folder but had no luck... Error was:

    make: *** No Targets. Stop.

    Any ideas....?

  4. #4
    Just burned his ISO
    Join Date
    Jul 2009
    Posts
    14

    Default

    From what I've been reading, it seems that what's contained in git package listed above is the entire kernel which from my interpretation has to be compiled and installed. If I remember right, doesn't BT4 use a custom kernel? This would probably wind up affecting the entire BT4 install...

    Does anyone know if this is correct and if so is there a way to just compile the updated driver?

    Thanks!

  5. #5
    Just burned his ISO
    Join Date
    Jun 2009
    Posts
    3

    Default

    It is the entire kernel. I still haven't had time to play with it yet though. There's also a chance you can use compat-wireless-2.6 to get the driver but like I said, I haven't had the time to look.

  6. #6
    Just burned his ISO
    Join Date
    Jul 2009
    Posts
    14

    Default

    I checked the "bleeding edge" version of the compat-wireless 2.6 drivers and they do not seem to include the rt2800pci driver...

    Can anyone provide guidance on how to compile this driver from the rt2x00 git repository for use with BT4?

    Thanks!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •